/*
+-----------------------------------------------------------------+
| NAME:                                                           |
| swa431_hotfix.sas                                               |
|                                                                 |
| TYPE:                                                           |
| SQL code                                                        |
|                                                                 |
| DESCRIPTION:                                                    |
| This script contains SQL statements for updating SAS Warranty   |
| Analysis 4.3.1 metadata tables for the HOTFIX                   |
|                                                                 |
|                                                                 |
| SAS VERSION:                                                    |
| This software unit was developed for version 9.3                |
|                                                                 |
| HISTORY:                                                        |
| sascis    15Aug2011   Initial coding                            |
| sinkah    20Jun2012   Changed the where clause removed the       |
|                       warrantytype=2 condition,for defect S0776932                  |	
+-----------------------------------------------------------------+
+-----------------------------------------------------------------+
| Copyright  2011 by SAS Institute Inc., Cary, NC 27513 USA       |
| ---All Rights Reserved.                                         |
+-----------------------------------------------------------------+
*/

/* -----------------------------------------------------------------------*/
/* This code must be run either in an interactive session or in a batch   */
/* job that utilizes !installRoot\sasv9_swaconn.cfg - so that the PARMSL  */
/* library is pre-allocated.                                              */
/* ---------------------------------------------------------------------- */



proc sql noprint;

   update parmsl.analysisOptions                              /* S0776932 */
      set DEFAULTVALUE='TYPE2' 
    where ANALYSISTYPE='FAILREL' and ANLOPTGROUPID='AVARS' and ANLOPTATTRID='AOA159';

   update parmsl.analysisOptions                              /* S0776932 */
      set DEFAULTVALUE='0.01' 
    where ANALYSISTYPE='FAILREL' and ANLOPTGROUPID='ANAL' and ANLOPTATTRID='AOA151';

   update parmsl.analysisOptions                              /* S0776932 */
      set DEFAULTVALUE='3' 
    where ANALYSISTYPE='FAILREL' and ANLOPTGROUPID='ANAL' and ANLOPTATTRID='AOA148';

   /* this label update is provided in English only (en_US), if you 
      want this change in other languages, then replicate the following
      line, change the LOCALE to the language that you want, and add
      the translated value in place of the English phrase                 */
      
   update parmsl.analysisOptionAttributes_nls                 /* S0776932 */
      set TEXT='Include rule progression table'
    where KEY='AOA149' and upcase(LOCALE)='EN_US';   

quit;      
